import { expect, type Locator, type Page } from '@playwright/test';
import { InsuranceBasePage } from './InsuranceBasePage';
import { ITestData } from 'framework/TestData';
import { step } from 'framework/localTypes/Step';

export class DuplicateCheckPage extends InsuranceBasePage {
    readonly page: Page;
    readonly newClaimButton: Locator;

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.newClaimButton = page.locator('a').filter({ hasText: 'Start a new claim Start a new' });
    }

    async startNewClaim(){
        await this.newClaimButton.click();
        await this.page.waitForLoadState();
    }

    @step("DuplicateCheckPage >> Start a new claim: ")
    async handleDuplicateCheckPage(testCase: Partial<ITestData>) {
        await this.startNewClaim();
        await this.nextPage();
    }
}